#include "about.h"
#include "ui_about.h"

About *About::pInstance = NULL;

About *About::instance()
{
	if (pInstance)
		return pInstance;
	return new About;
}

void About::deleteInstance()
{
	if (pInstance)
		pInstance->deleteLater();
}

About::About(QWidget *parent) :
    QDialog(parent),
    m_ui(new Ui::About)
{
	pInstance = this;

    m_ui->setupUi(this);
	m_ui->version->setText(QApplication::applicationVersion());
	loadPages();
}

About::~About()
{
    delete m_ui;

	pInstance = NULL;
}

void About::hideEvent(QHideEvent *)
{
	deleteLater();
}

void About::changeEvent(QEvent *e)
{
    QDialog::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        m_ui->retranslateUi(this);
		loadPages();
		break;
    default:
        break;
    }
}

void About::loadPages()
{
	m_ui->about->load(QUrl(tr("qrc:/docs/qshare.html")));
	m_ui->credits->load(QUrl(tr("qrc:/docs/credits.html")));
}
