#include "ipcconnection.h"
#include <QLocalSocket>

IPCConnection::IPCConnection(QLocalSocket *parent) : QObject(parent)
{
	connect(parent,SIGNAL(readyRead()),this,SLOT(readLine()));
	connect(parent,SIGNAL(error(QLocalSocket::LocalSocketError)),parent,SLOT(deleteLater()));
	connect(parent,SIGNAL(disconnected()),parent,SLOT(deleteLater()));
}

QLocalSocket *IPCConnection::parent()
{
	return static_cast<QLocalSocket*>(QObject::parent());
}

void IPCConnection::readLine()
{
	while (parent()->canReadLine())
	{
		emit message(parent()->readLine(65536).trimmed());
	}
}

void IPCConnection::sendMessage(const QByteArray &msg)
{
	parent()->write(msg + '\n');
}
