#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtGui/QMainWindow>
#include "netdiscovery.h"

namespace Ui
{
    class MainWindow;
}

class IPCSocket;

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();

public slots:
	void about();
	void aboutQt();
	void refreshServerList();
	void openServer();
	void showSearchFileDialog();
	void showStatsDialog();

protected slots:
	void checkIPCStatus();
	void replyToIPCMessage(const QByteArray &msg);
	void exit();

private:
	void changeEvent(QEvent *e);
	void closeEvent(QCloseEvent*);
	void showEvent(QShowEvent *);

private:
    Ui::MainWindow *ui;
	QList<Computer> lServer;
	IPCSocket *ipcsock;
};

#endif // MAINWINDOW_H
