#ifndef SEARCHFILE_H
#define SEARCHFILE_H

#include <QtGui/QDialog>
#include <QMutex>
#include <QPair>
#include <QQueue>
#include <QTimer>

namespace Ui {
    class SearchFile;
}

class SearchFile : public QDialog, public QMutex {
    Q_OBJECT
public:
    SearchFile(QWidget *parent = 0);
    ~SearchFile();

public slots:
	void startSearch();
	void stopSearch();
	void threadFinished();
	void addResult(const QString &computer, const QString &path);
	void updateResults();
	void openResult(int row, int col);

signals:
	void stoppingSearch();

protected:
    void changeEvent(QEvent *e);
	void hideEvent(QHideEvent *e);

private:
    Ui::SearchFile *m_ui;
	int workingThreads;
	QQueue< QPair<QString, QString> > queue;
	QTimer *timer;

private:
	static SearchFile *pInstance;
public:
	static SearchFile *instance();
	static void deleteInstance();
};

#endif // SEARCHFILE_H
