#ifndef SEARCHTHREAD_H
#define SEARCHTHREAD_H

#include <QObject>

class QTcpSocket;

class SearchThread : public QObject
{
	Q_OBJECT
public:
	SearchThread(const QString &computer, const QString &request, QObject *parent = 0);

public slots:
	void stopSearch();
	void processReply();
	void readResults();
	void start();
	void connected();
signals:
	void found(const QString &computer, const QString &file);

private:
	QString computer;
	QString request;
	QTcpSocket *sock;
	QTcpSocket *dtp;
};

#endif // SEARCHTHREAD_H
