#ifndef TRAYICON_H
#define TRAYICON_H

#include <QSystemTrayIcon>
#include <QMenu>
#include <QMutex>
#include "computer.h"

class TrayIcon : public QSystemTrayIcon, public QMutex
{
	Q_OBJECT
public:
	TrayIcon(QObject *parent = NULL);

	virtual bool event(QEvent *event);

public slots:
	void refreshComputers();
	void showStartupMessage();
	void showSearchFileDialog();
	void showStatsDialog();

private slots:
	void activating(QSystemTrayIcon::ActivationReason);

protected:
	void rebuildGUI();

private:
	QMenu *mComputers;
	QList<Computer> computers;
};

#endif // TRAYICON_H
