#ifndef USERID_H
#define USERID_H

#include <QByteArray>
#include <QString>
#include <QDataStream>
#include <QSet>

class UserID
{
public:
	UserID();
	UserID(const QString &login, const QString &password);
	UserID(const QString &login, const QByteArray &password);

	inline bool operator==(const UserID &id) const
	{
		return login == id.login && password == id.password;
	}

	const QString &getLogin() const {	return login;	}
	const QByteArray &getPassword() const {	return password;	}

private:
	QString login;
	QByteArray password;
};

inline QDataStream &operator<<(QDataStream &out, const UserID &id)
{
	return out << id.getLogin() << id.getPassword();
}

inline QDataStream &operator>>(QDataStream &out, UserID &id)
{
	QString login;
	QByteArray password;
	out >> login >> password;
	id = UserID(login, password);
	return out;
}

inline quint32 qHash(const UserID &uid)
{
	return qHash(uid.getLogin()) * 31 + qHash(uid.getPassword());
}

#endif // USERID_H
